#if !defined(UTILS_H)
#define UTILS_H TRUE
/* ========================================================================
 * Name - utils.h
 *
 * Description - interface to utils.c
 *
 * $Id: utils.h,v 1.2 1992/09/15 22:37:49 penneyj Exp $
 *
 * $Log: utils.h,v $
 * Revision 1.2  1992/09/15  22:37:49  penneyj
 * misc facelift, preparing for distribution on alt.sources
 *
 * Revision 1.1  1992/09/15  22:18:47  penneyj
 * Initial revision
 *
 *========================================================================
 */

typedef enum { OKEXIT, USRERROR, FILERROR, FILFORMERROR, OUTSIDERROR,
    ABORTED, NOSUCHTHING, INTERNERROR
    } deathEType;

#define FREE(x) free((void *)(x))

#if defined(FLG_PROTOTYPE)
void die(deathEType code);
#else
void die();
#endif

#if defined(FLG_PROTOTYPE)
void waitamoment(void);
#else
void waitamoment();
#endif

#if defined(FLG_PROTOTYPE)
void *MyMalloc(int space);
#else
void *MyMalloc();
#endif

#if defined(FLG_PROTOTYPE)
const char *tmpfilename(void);
#else
const char *tmpfilename();
#endif

#if defined(FLG_PROTOTYPE)
BoolType matchKey(const char *filename, const char *keyword);
#else
BoolType matchKey();
#endif

#if defined(FLG_PROTOTYPE)
void prusage(void);
#else
void prusage() ;
#endif

#if defined(FLG_PROTOTYPE)
typedef int namecheckfunctype(const char *n1, const char *n2);
typedef BoolType statcheckfunctype(struct stat *st);
typedef int founditfunctype(const char *n1, const char *n2, int type,
    void *info);
#else
typedef int namecheckfunctype();
typedef BoolType statcheckfunctype();
typedef int founditfunctype();
#endif

#if defined(FLG_PROTOTYPE)
int dirsearch(const char *dirname,
	      namecheckfunctype *namecheck,
	      statcheckfunctype *statcheck,
	      founditfunctype *foundit,
	      void *divinfo);
#else
int dirsearch();
#endif

#if defined(FLG_PROTOTYPE)
BoolType doit(const char todo[], const char *message);
#else
BoolType doit();
#endif

#endif /* UTILS_H */
